> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/da/powershell-commands/convert-dsgatewaykdcproxysettings.md).

# Convert-DSGatewayKDCProxySettings

Convert-DSGatewayKDCProxySettings extracts KDC proxy indstillinger fra en Devolutions Server Gateway objekt til en matrix af PSGatewayKDCProxySettings objekter.

### Synopsis

Konvertér KDC proxy indstillinger fra en gateway

### Syntaks

#### \_\_AllParameterSets

```
Convert-DSGatewayKDCProxySettings [-Gateway] <Gateway> [<CommonParameters>]
```

### Description

Extract KDC proxy indstillinger fra en gateway objekt til en matrix af PSGatewayKDCProxySettings objekter.

### Eksempler

#### Eksempel 1

```powershell
PS C:\> $gateway = Get-DSGateway -Name "Corporate Gateway"
PS C:\> $kdcSettings = @(Convert-DSGatewayKDCProxySettings -Gateway $gateway)
PS C:\> $kdcSettings += New-DSGatewayKDCProxySettings -KDCServerUrl "tcp://kdc3.newdomain.com" -KerberosRealm "NEWDOMAIN.COM"
PS C:\> Update-DSGateway -Gateway $gateway -KdcProxySettings $kdcSettings
```

Hent eksisterende KDC proxy indstillinger fra en gateway, tilføj en ny indstilling for en yderligere Kerberos realm, og opdatering gatewayen.

#### Eksempel 2

```powershell
PS C:\> $gateway = Get-DSGateway -GatewayID $gatewayId
PS C:\> $kdcSettings = @(Convert-DSGatewayKDCProxySettings -Gateway $gateway)
PS C:\> $filteredSettings = $kdcSettings | Where-Object { $_.KerberosRealm -ne "CONTOSO.COM" }
PS C:\> Update-DSGateway -Gateway $gateway -KdcProxySettings $filteredSettings
```

Hent eksisterende KDC proxy indstillinger fra en gateway, remove CONTOSO.COM realm konfiguration, og opdatering gatewayen.

### Parametre

#### -Gateway

Gateway objekt hentet fra Get-DSGateway.

```yaml
Type: Devolutions.Server.ApiWrapper.Models.Gateway.Gateway
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Denne cmdlet understøtter de almindelige parametre: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction og -WarningVariable. Yderligere oplysninger finder De i [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Input

#### Devolutions.Server.ApiWrapper.Models.Gateway.Gateway

Gateway objekt hentet fra Get-DSGateway.

### Output

#### RemoteDesktopManager.PowerShellModule.Private.models.PSGatewayKDCProxySettings

### Noter

Yderligere oplysninger får De ved at skrive "Get-Help Convert-DSGatewayKDCProxySettings -detailed". Tekniske oplysninger får De ved at skrive "Get-Help Convert-DSGatewayKDCProxySettings -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/da/powershell-commands/convert-dsgatewaykdcproxysettings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
